Bug 28291 - suid binaries in e17
: suid binaries in e17
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/e17)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: https://bugzilla.novell.com/show_bug....
:
:
:
  Show dependency tree
 
Reported: 2012-12-29 02:53 by
Modified: 2013-04-09 20:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-12-29 02:53:07
Прошу обсудить проблему suid binaries в e17, см. аудит OpenSUSE по ссылке
------- Comment #1 From 2012-12-29 05:10:59 -------
Я согласен с тем, что написал Marcus Meissner в
https://bugzilla.novell.com/show_bug.cgi?id=792928#c1
setuid-ные приложения в dm - это прошлый век, они там просто не должны быть
нужны.
------- Comment #2 From 2013-03-03 21:41:02 -------
Да, он весьма по делу обсуждает отсутствующий интерфейс взамен собственно
аудита.  Кивок на udisks тоже порадовал.

По сути: предлагаю ограничить доступом по группе xgrp.
------- Comment #3 From 2013-04-05 16:54:35 -------
e17-1:0.17.1-alt3 -> sisyphus:

* Thu Apr 04 2013 Yuri N. Sedunov <aris@altlinux> 1:0.17.1-alt3
- applied e17-0.17.1-alt-e_sys_nosuid.patch,
  applied custom sysactions.conf, added empower to rqs (ALT #28291)
------- Comment #4 From 2013-04-09 19:14:06 -------
Ну вот, теперь не работает (см.
http://nightly.altlinux.org/sisyphus/snapshots/20130409/regular-e17-20130409-i586.iso
или завтрашнюю сборку, если чудо не успеет случиться):

Apr 09 14:12:07 localhost.localdomain dbus-daemon[943]: dbus[943]: [system]
Rejected send message, 2 matched rules; type="method_call", sender=":1.27"
(uid=500 pid=2898 comm="systemctl reboot ")
interface="org.freedesktop.systemd1.Manager" member="StartUnit" error
name="(unset)" requested_reply="0" destination="org.freedesktop.systemd1"
(uid=0 pid=1 comm="/sbin/init ")
Apr 09 14:12:07 localhost.localdomain dbus[943]: [system] Rejected send
message, 2 matched rules; type="method_call", sender=":1.27" (uid=500 pid=2898
comm="systemctl reboot ") interface="org.freedesktop.systemd1.Manager"
member="StartUnit" error name="(unset)" requested_reply="0"
destination="org.freedesktop.systemd1" (uid=0 pid=1 comm="/sbin/init ")

Вешать отдельно?
------- Comment #5 From 2013-04-09 19:19:40 -------
(В ответ на комментарий №4)
> Ну вот, теперь не работает (см.
> http://nightly.altlinux.org/sisyphus/snapshots/20130409/regular-e17-20130409-i586.iso
> или завтрашнюю сборку, если чудо не успеет случиться):
> Вешать отдельно?

Да, конечно.
Вообще не понимаю, зачем это сюда писать. И кому.
------- Comment #6 From 2013-04-09 20:28:33 -------
bug #28823